X2Go Bug report logs - #281
x2godesktopsharing man page versions are incorrect

version graph

Package: x2godesktopsharing; Maintainer for x2godesktopsharing is X2Go Developers <x2go-dev@lists.x2go.org>;

Reported by: Orion Poplawski <orion@cora.nwra.com>

Date: Thu, 1 Aug 2013 04:33:02 UTC

Severity: normal

Tags: confirmed, pending

Found in version 3.1.1.0

Fixed in version 3.1.1.1

Done: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#281; Package x2godesktopsharing. (Thu, 01 Aug 2013 04:33:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Orion Poplawski <orion@cora.nwra.com>:
New Bug report received and forwarded. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Thu, 01 Aug 2013 04:33:02 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.x2go.org (full text, mbox):

From: Orion Poplawski <orion@cora.nwra.com>
To: submit@bugs.x2go.org
Subject: x2godesktopsharing man page versions are incorrect
Date: Wed, 31 Jul 2013 22:31:38 -0600
Package: x2godesktopsharing
Version: 3.1.1.0

The versions strings in the x2godesktopsharing man pages don't seem to 
be updated.  Seems like these should be automatically generated somehow.

man/man1/x2godesktopsharing.1:.TH x2godesktopsharing 1 "14 Apr 2011" 
"Version 3.0.1.x" "X2go Application"
man/man8/x2goterminate-desktopsharing.8:.TH x2goterminate-desktopsharing 
8 "Sep 2011" "Version 3.0.99.x" "X2go Server Tool"
man/man8/x2goresume-desktopsharing.8:.TH x2goresume-desktopsharing 8 
"Sep 2011" "Version 3.0.99.x" "X2go Server Tool"
man/man8/x2gosuspend-desktopsharing.8:.TH x2gosuspend-desktopsharing 8 
"Sep 2011" "Version 3.0.99.x" "X2go Server Tool"


-- 
Orion Poplawski
Technical Manager                     303-415-9701 x222
NWRA/CoRA Division                    FAX: 303-415-9702
3380 Mitchell Lane                  orion@cora.nwra.com
Boulder, CO 80301              http://www.cora.nwra.com


Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#281; Package x2godesktopsharing. (Thu, 01 Aug 2013 08:03:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Thu, 01 Aug 2013 08:03:02 GMT) Full text and rfc822 format available.

Message #10 received at 281@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: Orion Poplawski <orion@cora.nwra.com>, 281@bugs.x2go.org
Cc: control@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#281: x2godesktopsharing man page versions are incorrect
Date: Thu, 01 Aug 2013 10:02:08 +0200
[Message part 1 (text/plain, inline)]
tag #281 confirmed
thanks

Hi Orion,

On Do 01 Aug 2013 06:31:38 CEST Orion Poplawski wrote:

> The versions strings in the x2godesktopsharing man pages don't seem  
> to be updated.  Seems like these should be automatically generated  
> somehow.
>
> man/man1/x2godesktopsharing.1:.TH x2godesktopsharing 1 "14 Apr 2011"  
> "Version 3.0.1.x" "X2go Application"
> man/man8/x2goterminate-desktopsharing.8:.TH  
> x2goterminate-desktopsharing 8 "Sep 2011" "Version 3.0.99.x" "X2go  
> Server Tool"
> man/man8/x2goresume-desktopsharing.8:.TH x2goresume-desktopsharing 8  
> "Sep 2011" "Version 3.0.99.x" "X2go Server Tool"
> man/man8/x2gosuspend-desktopsharing.8:.TH x2gosuspend-desktopsharing  
> 8 "Sep 2011" "Version 3.0.99.x" "X2go Server Tool"

Indeed. We are not using autotools (*.in files) anywhere in X2Go code.  
This is really overdue.

I will fix the reported version mismatches manually in a minute...

Thanks for reporting,
Mike



-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Added tag(s) confirmed. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Thu, 01 Aug 2013 08:03:02 GMT) Full text and rfc822 format available.

Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#281; Package x2godesktopsharing. (Thu, 01 Aug 2013 08:18:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Thu, 01 Aug 2013 08:18:01 GMT) Full text and rfc822 format available.

Message #17 received at 281@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 281-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 281@bugs.x2go.org
Subject: X2Go issue (in src:x2godesktopsharing) has been marked as pending for release
Date: Thu, 1 Aug 2013 10:08:03 +0200 (CEST)
tag #281 pending
fixed #281 3.1.1.1
thanks

Hello,

X2Go issue #281 (src:x2godesktopsharing) reported by you has been
fixed in X2Go Git. You can see the changelog below, and you can
check the diff of the fix at:

    http://code.x2go.org/gitweb?p=x2godesktopsharing.git;a=commitdiff;h=e28a0f2

The issue will most likely be fixed in src:x2godesktopsharing (3.1.1.1).

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
commit e28a0f2d7897758810ea4704ee5fc3e8bb666996
Author: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
Date:   Thu Aug 1 10:07:22 2013 +0200

    Update man pages. (Fixes: #281).

diff --git a/debian/changelog b/debian/changelog
index 7dc6717..2fb2287 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,6 +1,7 @@
 x2godesktopsharing (3.1.1.1-0~x2go1) UNRELEASED; urgency=low
 
-  * Continue development...
+  * New upstream version (3.1.1.1):
+    - Update man pages (Fixes: #281).
 
  -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Sat, 08 Jun 2013 01:13:44 +0200
 


Added tag(s) pending. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Thu, 01 Aug 2013 08:18:02 GMT) Full text and rfc822 format available.

Marked as fixed in versions 3.1.1.1. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Thu, 01 Aug 2013 08:18:02 GMT) Full text and rfc822 format available.

Message sent on to Orion Poplawski <orion@cora.nwra.com>:
Bug#281. (Thu, 01 Aug 2013 08:18:02 GMT) Full text and rfc822 format available.

Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#281; Package x2godesktopsharing. (Mon, 31 Mar 2014 20:00:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Mon, 31 Mar 2014 20:00:02 GMT) Full text and rfc822 format available.

Message #29 received at 281@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 281-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 281@bugs.x2go.org
Subject: X2Go issue (in src:x2godesktopsharing) has been marked as closed
Date: Mon, 31 Mar 2014 21:55:39 +0200 (CEST)
close #281
thanks

Hello,

we are very hopeful that X2Go issue #281 reported by you
has been resolved in the new release (3.1.1.1) of the
X2Go source project »src:x2godesktopsharing«.

You can view the complete changelog entry of src:x2godesktopsharing (3.1.1.1)
below, and you can use the following link to view all the code changes
between this and the last release of src:x2godesktopsharing.

    http://code.x2go.org/gitweb?p=x2godesktopsharing.git;a=commitdiff;h=5f55ebaa9a2f84386f9ecd8aeebf2e6c7a9a81ec;hp=2f127116cce0246a181f73ee6218fe96bc75e47b

If you feel that the issue has not been resolved satisfyingly, feel
free to reopen this bug report or submit a follow-up report with
further observations described based on the new released version
of src:x2godesktopsharing.

Thanks a lot for contributing to X2Go!!!

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
X2Go Component: src:x2godesktopsharing
Version: 3.1.1.1-0x2go1
Status: RELEASE
Date: Mon, 31 Mar 2014 21:54:21 +0200
Fixes: 281 426 427
Changes: 
 x2godesktopsharing (3.1.1.1-0x2go1) RELEASED; urgency=low
 .
   * New upstream version (3.1.1.1):
     - Update man pages (Fixes: #281).
     - Fix FSF address in COPYING file.
     - Use x2gopath in scripts rather than deprecated x2gobasepath. (Fixes:
       #427).
     - Different Linux distros have pidof installed in different
       locations. If pidof is not available, we brutally kill all instances
       of x2godesktopsharing when a session suspends. (Fixes: #426).
   * debian/control:
     + Replace LDAP support with session brokerage support in LONG_DESCRIPTION.
     + Rework LONG_DESCRIPTION in several other aspects.
   * debian/source/format:
     Switch to format 1.0.
   * x2godesktopsharing.spec:
     + Ship x2godesktopsharing.spec (RPM package definitions) in upstream
       project. (Thanks to the Fedora package maintainers).
     + Conditional dependency on sysvinit-tools (EPEL) or procps-ng (Fedora) to
       get the pidof binary installed.
     + Run lrelease-qt4 before running qmake-qt4.


Marked Bug as done Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Mon, 31 Mar 2014 20:00:04 GMT) Full text and rfc822 format available.

Notification sent to Orion Poplawski <orion@cora.nwra.com>:
Bug acknowledged by developer. (Mon, 31 Mar 2014 20:00:04 GMT) Full text and rfc822 format available.

Message sent on to Orion Poplawski <orion@cora.nwra.com>:
Bug#281. (Mon, 31 Mar 2014 20:00:05 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.x2go.org> to internal_control@bugs.x2go.org. (Tue, 29 Apr 2014 05:24:02 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Tue Apr 23 10:13:33 2019; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.